HTMLEditorKit.HTMLFactory (Java Platform SE 8 )
Keywords: javax.swing.text.html.HTMLEditorKit.HTMLFactory class
Date: 2015-05-24

javax.swing.text.html

## Class HTMLEditorKit.HTMLFactory

- java.lang.Object
- - javax.swing.text.html.HTMLEditorKit.HTMLFactory

- All Implemented Interfaces:
    ViewFactory
  Enclosing class:
    HTMLEditorKit

      public static class HTMLEditorKit.HTMLFactory
      extends Object
      implements ViewFactory

  A factory to build views for HTML. The following table describes what this factory will build by default.

  Tag | View created
  --- | ---
  HTML.Tag.CONTENT | InlineView
  HTML.Tag.IMPLIED | javax.swing.text.html.ParagraphView
  HTML.Tag.P | javax.swing.text.html.ParagraphView
  HTML.Tag.H1 | javax.swing.text.html.ParagraphView
  HTML.Tag.H2 | javax.swing.text.html.ParagraphView
  HTML.Tag.H3 | javax.swing.text.html.ParagraphView
  HTML.Tag.H4 | javax.swing.text.html.ParagraphView
  HTML.Tag.H5 | javax.swing.text.html.ParagraphView
  HTML.Tag.H6 | javax.swing.text.html.ParagraphView
  HTML.Tag.DT | javax.swing.text.html.ParagraphView
  HTML.Tag.MENU | ListView
  HTML.Tag.DIR | ListView
  HTML.Tag.UL | ListView
  HTML.Tag.OL | ListView
  HTML.Tag.LI | BlockView
  HTML.Tag.DL | BlockView
  HTML.Tag.DD | BlockView
  HTML.Tag.BODY | BlockView
  HTML.Tag.HTML | BlockView
  HTML.Tag.CENTER | BlockView
  HTML.Tag.DIV | BlockView
  HTML.Tag.BLOCKQUOTE | BlockView
  HTML.Tag.PRE | BlockView
  HTML.Tag.BLOCKQUOTE | BlockView
  HTML.Tag.PRE | BlockView
  HTML.Tag.IMG | ImageView
  HTML.Tag.HR | HRuleView
  HTML.Tag.BR | BRView
  HTML.Tag.TABLE | javax.swing.text.html.TableView
  HTML.Tag.INPUT | FormView
  HTML.Tag.SELECT | FormView
  HTML.Tag.TEXTAREA | FormView
  HTML.Tag.OBJECT | ObjectView
  HTML.Tag.FRAMESET | FrameSetView
  HTML.Tag.FRAME | FrameView

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `View` | `create(Element elem)` Creates a view from an element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTMLFactory

          public HTMLFactory()

  - ### Method Detail

    - #### create

          public View create(Element elem)

      Creates a view from an element.
      Specified by:
        `create` in interface `ViewFactory`
      Parameters:
        `elem` - the element
      Returns:
        the view
      See Also:
        `View`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.